---
title: "Get List Members - API Reference"
description: "Retrieve every member of any Twitter/X list. Flat-rate $0.0002 per user profile, flexible rate limits and no subscription plans."
source: "https://docs.socialdata.tools/reference/get-list-members/"
---

GET https://api.socialdata.tools/twitter/list/{list\_id}/members?cursor={cursor}

## Headers

**Authorization** `string` — required

Authorization Bearer header containing your SocialData API key

Example: Bearer YOUR\_API\_KEY

## Path Parameters

**list\_id** `integer` — required

The numeric ID of the desired list.

Example: 1625802236571033602

## Query Parameters

**cursor** `string` — optional

Cursor value obtained from `next_cursor` response property

Example: 4611686018541662731|1741085517660815316

> **Caution**
> 
> When using languages where the `list_id` value exceeds the default Integer type limit (e.g., JavaScript), you should store `list_id` as a String. Use the `id_str` property returned by the API for these values

## Code Examples

#### curl

```shellscript
curl "https://api.socialdata.tools/twitter/list/1625802236571033602/members" \
    -H 'Authorization: Bearer API_KEY' \
    -H 'Accept: application/json'
```

#### JavaScript

```js
const listId = '1625802236571033602';
const API_KEY = 'YOUR_API_KEY_HERE';

fetch(`https://api.socialdata.tools/twitter/list/${listId}/members`, {
    method: 'GET',
    headers: {
        'Authorization': `Bearer ${API_KEY}`,
        'Accept': 'application/json'
    }
})
.then(response => response.json())
.then(response => console.log(response))
.catch(err => console.error(err));
```

#### Python

```python
import requests

listId = '1625802236571033602'
API_KEY = 'YOUR_API_KEY_HERE'

url = f'https://api.socialdata.tools/twitter/list/{listId}/members'

headers = {
    'Authorization': f'Bearer {API_KEY}',
    'Accept': 'application/json'
}

response = requests.get(url, headers=headers)

if response.status_code == 200:
    data = response.json()
    print(data)
else:
    print(f"Error: {response.status_code}")
    print(response.text)
```

#### PHP

```php
$listId = '1625802236571033602';
$API_KEY = 'YOUR_API_KEY_HERE';

$url = "https://api.socialdata.tools/twitter/list/{$listId}/members";

$ch = curl_init();

curl_setopt_array($ch, [
    CURLOPT_URL => $url,
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        "Authorization: Bearer $API_KEY",
        "Accept: application/json"
    ]
]);

$response = curl_exec($ch);
$data = json_decode($response, true);
print_r($data);

curl_close($ch);
```

## Example Responses

#### 200

```json
{
    "next_cursor": "4611686018541662731|1741080922217775060",
    "users": [
        {
            "id": 1547124452596523008,
            "id_str": "1547124452596523008",
            "name": "Gwendal Brossard",
            "screen_name": "GwendalBrossard",
            "location": "Building",
            "url": "https:\/\/t.co\/6o4TTYu7LQ",
            "description": "I'm an indie maker building products \ud83d\udc68\u200d\ud83d\udcbb @PaletteBrain\u2506https:\/\/t.co\/BEadk6UDlz \u2728",
            "protected": false,
            "verified": false,
            "followers_count": 3557,
            "friends_count": 149,
            "listed_count": 41,
            "favourites_count": 12425,
            "statuses_count": 6778,
            "created_at": "2022-07-13T07:43:56.000000Z",
            "profile_banner_url": "https:\/\/pbs.twimg.com\/profile_banners\/1547124452596523008\/1672736091",
            "profile_image_url_https": "https:\/\/pbs.twimg.com\/profile_images\/1572151372455313409\/qq1yH56d_normal.jpg",
            "can_dm": true
        },
        ...
    ]
}
```

#### 402

```json
{
    "status": "error",
    "message": "Insufficient balance"
}
```

#### 404

```json
{
    "status": "error",
    "message": "Not found"
}
```

#### 500

```json
{
    "status": "error",
    "message": "Failed to fetch data from Twitter"
}
```

## Response Codes

-   **200 OK** - request succeeded
-   **402 Payment Required** - not enough credits to perform this request
-   **404 Not Found** - requested list not found
-   **422 Unprocessable Content** - validation failed (e.g. one of the required parameters was not provided)
-   **500 Internal Error** - API internal error, typically means that SocialData API failed to obtain the requested information and you should try again later

## Related endpoints

-   [Get list details](https://docs.socialdata.tools/reference/get-list-details/)
-   [Get list tweets](https://docs.socialdata.tools/reference/get-list-tweets/)
-   [Get user lists](https://docs.socialdata.tools/reference/get-user-lists/)

## Before you integrate

-   [Authentication](https://docs.socialdata.tools/getting-started/authentication/)
-   [Rate limits](https://docs.socialdata.tools/getting-started/rate-limits/)
-   [Errors](https://docs.socialdata.tools/getting-started/errors/)
-   [Pricing](https://docs.socialdata.tools/getting-started/pricing/)
